package drills.drill01.exercise3

import util.rmi.Client

fun main() {
    Client(clientHandler).start()
}

val clientHandler = {
    val psFactory: PrintServiceFactory = Client.lookup("psfactory") as PrintServiceFactory

    val ps1 = psFactory.create("ps1")
    val ps2 = psFactory.create("ps2")

    ps1.print("print on ps1")
    ps2.print("print on ps2")
}
