package drills.drill08.exercise4

import drills.drill08.exercise2.Finder
import util.jms.replicatedobject.ReplicatedObjectFactory
import javax.ws.rs.Consumes
import javax.ws.rs.GET
import javax.ws.rs.Path
import javax.ws.rs.Produces
import javax.ws.rs.QueryParam
import javax.ws.rs.core.MediaType

@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
@Path("/search")
class SearchService {
    private val finder = ReplicatedObjectFactory(Finder::class.java)
        .create("finder")

    @GET
    fun search(@QueryParam("str") str: String): Boolean {
        return finder.find(str)
    }
}
