package drills.drill08.exercise4

import org.glassfish.jersey.grizzly2.httpserver.GrizzlyHttpServerFactory
import org.glassfish.jersey.server.ResourceConfig
import javax.ws.rs.core.UriBuilder

fun main() {
    val uri = UriBuilder
        .fromUri("http://localhost/rest")
        .port(8484)
        .build()

    val resConfig = ResourceConfig().register(SearchService())
    val server = GrizzlyHttpServerFactory.createHttpServer(uri, resConfig)
    server.start()

    while (server.isStarted);
}
