package drills.drill09.dbreplica

import util.network.epidemic.TimePayload
import util.network.simulator.Address
import util.network.simulator.Network


fun main() {
    val network = Network()

    repeat(10) {
        DbNode(Address(it), network, TimePayload(0, 0))
    }

    val alpha = network.getRandomNode() as DbNode<Int>

    network.start()

    Thread.sleep(1000)

    network.forEach {
        println((it as DbNode<Int>).nodeValue)
    }

    alpha.changeValue(TimePayload(42, System.nanoTime()))
    Thread.sleep(2000)

    network.forEach {
        println((it as DbNode<Int>).nodeValue)
    }
}

