package util.jms.requestor

import org.apache.activemq.ActiveMQConnectionFactory
import javax.jms.QueueConnectionFactory

class ActiveMQRequestor(
    queueName: String,
    shared: Boolean = false
) : AbstractRequestor(queueName, shared) {
    override fun getFactory(uri: String): QueueConnectionFactory = ActiveMQConnectionFactory(uri)
        .also { it.isTrustAllPackages = true }
}
