package drills.drill03.exercise1

import kotlinx.coroutines.cancelAndJoin
import kotlinx.coroutines.runBlocking
import util.active.toActive
import kotlin.time.ExperimentalTime
import kotlin.time.measureTime

@ExperimentalTime
fun main() = runBlocking {
    val (math, job) = MathImpl().toActive(Math::class.java)

    val elapsed = measureTime {
        for (i in 0 until 1000)
            math.add(i, 0)
    }

    println("Elapsed time: $elapsed")

    job.cancelAndJoin()
}
