package drills.drill07.exercise3.hello

import util.jms.replier.ActiveMQReplier
import util.jms.replier.Replier
import javax.jms.TextMessage

fun main() {
    val replier: Replier = ActiveMQReplier("hello", shared = true)

    replier.start()

    replier.onRequest {
        val msg = it as TextMessage
        println(msg.text)
        replier.createTextMessage("Echo ${msg.text}")
    }
}
