package drills.drill07.exercise3.hello

import util.jms.requestor.ActiveMQRequestor
import util.jms.requestor.Requestor
import javax.jms.TextMessage

fun main() {
    val requestor: Requestor =
        ActiveMQRequestor("hello", shared = true)

    val msg = requestor.request(requestor.createTextMessage("Hello Home!")) as TextMessage

    println(msg.text)

    requestor.close()
}
